#### D.6.8.2 Semigroup

Procedure from library `classifyci.lib` (see classifyci_lib).

Usage:
  Semigroup(l); I is an ideal

Purpose:
  Computes the semigroup of the ideal I corresponding to each branch

Return:
  list of semigroup of ideal I corresponding to each branch

Example:

    LIB "classifyci.lib";
    ring R=0,(x,y,z),ds;
    ideal I=x2+y3+z5,yz;
    Semigroup(I);
    ==> [1]:
    ==>    2,3
    ==> [2]:
    ==>    2,5

User manual for Singular version 4.4.1, 2025, generated by texi2html.